CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::TargetSettings Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::TargetSettings Struct Reference

The settings for a handle. More...

`#include <csplugincommon/rendermanager/dependenttarget.h>`

List of all members.

## Public Attributes
int | drawFlags
| Flags for iGraphics3D::BeginDraw()
iTextureHandle * | target
| The texture to be rendered to.
int | targetSubTexture
| The subtexture to be rendered to.
iView * | view
| The view to be rendered to the texture.

## Detailed Description

### template<typename RenderTree, typename TargetHandler>
struct CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::TargetSettings

The settings for a handle.

Definition at line 61 of file dependenttarget.h.

## Member Data Documentation

template<typename RenderTree , typename TargetHandler >

int CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::TargetSettings::drawFlags

Flags for iGraphics3D::BeginDraw()

Definition at line 70 of file dependenttarget.h.

template<typename RenderTree , typename TargetHandler >

iTextureHandle* CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::TargetSettings::target

The texture to be rendered to.

Definition at line 66 of file dependenttarget.h.

template<typename RenderTree , typename TargetHandler >

int CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::TargetSettings::targetSubTexture

The subtexture to be rendered to.

Definition at line 68 of file dependenttarget.h.

template<typename RenderTree , typename TargetHandler >

iView* CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::TargetSettings::view

The view to be rendered to the texture.

Definition at line 64 of file dependenttarget.h.

The documentation for this struct was generated from the following file:

- csplugincommon/rendermanager/dependenttarget.h